#!/bin/sh
## this is a bash script
## perhaps it works with other shells too but no warranty
## (c) 2003 Michael Bell <michael.bell@web.de>
## License: GPL

set -e

prefix=/usr/share/openca
exec_prefix=/usr

for DIRECTORY in /etc/openca /usr/share/openca /var/www/html/openca/ca /var/www/html/openca/ra /var/www/html/openca/node /var/www/html/openca/ldap /var/www/html/openca/pub /var/www/html/openca/batch
do
    if test -d $DIRECTORY; then
        echo =================================================================
        echo fixing directory: $DIRECTORY
        echo =================================================================

        cd $DIRECTORY
        TEMPLATES=`find . -name "*.template" -print`
        for H in $TEMPLATES
        do
            echo -------------begin file-----------------
            echo template: $H
            H_RESULT=`echo $H | sed 's/\.template//'`
            echo target:   $H_RESULT
            /usr/bin/openca-configure /etc/openca/config.xml $H $H_RESULT
            echo --------------end file------------------
        done
    fi
done
